Get Gasless Authorization Status
curl --request GET \
--url https://api.layerswap.io/api/v2/swaps/{swapId}/authorize \
--header 'X-LS-APIKEY: <api-key>'{
"error": {
"code": "<string>",
"message": "<string>",
"metadata": {}
},
"data": {
"status": "<string>",
"transaction": {
"from": "<string>",
"to": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"transaction_hash": "<string>",
"confirmations": 123,
"max_confirmations": 123,
"amount": 123,
"type": "<string>",
"status": "<string>",
"token": {
"symbol": "<string>",
"display_asset": "<string>",
"logo": "<string>",
"contract": "<string>",
"decimals": 123,
"price_in_usd": 123,
"precision": 123,
"listing_date": "2023-11-07T05:31:56Z",
"source_rank": 123,
"destination_rank": 123,
"group": "<string>",
"supports_gasless_deposit": true
},
"network": {
"name": "<string>",
"display_name": "<string>",
"logo": "<string>",
"chain_id": "<string>",
"node_url": "<string>",
"nodes": [
"<string>"
],
"transaction_explorer_template": "<string>",
"account_explorer_template": "<string>",
"source_rank": 123,
"destination_rank": 123,
"token": {
"symbol": "<string>",
"display_asset": "<string>",
"logo": "<string>",
"contract": "<string>",
"decimals": 123,
"price_in_usd": 123,
"precision": 123,
"listing_date": "2023-11-07T05:31:56Z",
"source_rank": 123,
"destination_rank": 123,
"group": "<string>",
"supports_gasless_deposit": true
},
"metadata": {
"listing_date": "2023-11-07T05:31:56Z",
"evm_oracle_contract": "<string>",
"evm_multicall_contract": "<string>",
"zks_paymaster_contract": "<string>",
"watchdog_contract": "<string>"
},
"deposit_methods": [
"<string>"
]
},
"fee_amount": 123,
"fee_token": {
"symbol": "<string>",
"display_asset": "<string>",
"logo": "<string>",
"contract": "<string>",
"decimals": 123,
"price_in_usd": 123,
"precision": 123,
"listing_date": "2023-11-07T05:31:56Z",
"source_rank": 123,
"destination_rank": 123,
"group": "<string>",
"supports_gasless_deposit": true
}
}
}
}Swaps
Get Gasless Authorization Status
Returns the status of a gasless deposit authorization and, once published, the on-chain transaction.
GET
/
api
/
v2
/
swaps
/
{swapId}
/
authorize
Get Gasless Authorization Status
curl --request GET \
--url https://api.layerswap.io/api/v2/swaps/{swapId}/authorize \
--header 'X-LS-APIKEY: <api-key>'{
"error": {
"code": "<string>",
"message": "<string>",
"metadata": {}
},
"data": {
"status": "<string>",
"transaction": {
"from": "<string>",
"to": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"transaction_hash": "<string>",
"confirmations": 123,
"max_confirmations": 123,
"amount": 123,
"type": "<string>",
"status": "<string>",
"token": {
"symbol": "<string>",
"display_asset": "<string>",
"logo": "<string>",
"contract": "<string>",
"decimals": 123,
"price_in_usd": 123,
"precision": 123,
"listing_date": "2023-11-07T05:31:56Z",
"source_rank": 123,
"destination_rank": 123,
"group": "<string>",
"supports_gasless_deposit": true
},
"network": {
"name": "<string>",
"display_name": "<string>",
"logo": "<string>",
"chain_id": "<string>",
"node_url": "<string>",
"nodes": [
"<string>"
],
"transaction_explorer_template": "<string>",
"account_explorer_template": "<string>",
"source_rank": 123,
"destination_rank": 123,
"token": {
"symbol": "<string>",
"display_asset": "<string>",
"logo": "<string>",
"contract": "<string>",
"decimals": 123,
"price_in_usd": 123,
"precision": 123,
"listing_date": "2023-11-07T05:31:56Z",
"source_rank": 123,
"destination_rank": 123,
"group": "<string>",
"supports_gasless_deposit": true
},
"metadata": {
"listing_date": "2023-11-07T05:31:56Z",
"evm_oracle_contract": "<string>",
"evm_multicall_contract": "<string>",
"zks_paymaster_contract": "<string>",
"watchdog_contract": "<string>"
},
"deposit_methods": [
"<string>"
]
},
"fee_amount": 123,
"fee_token": {
"symbol": "<string>",
"display_asset": "<string>",
"logo": "<string>",
"contract": "<string>",
"decimals": 123,
"price_in_usd": 123,
"precision": 123,
"listing_date": "2023-11-07T05:31:56Z",
"source_rank": 123,
"destination_rank": 123,
"group": "<string>",
"supports_gasless_deposit": true
}
}
}
}Authorizations
Headers
X-LS-APIKEY
string
default:NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
Path Parameters
Was this page helpful?
⌘I